#
# spec file for package 3dsconv
#
# Copyright (c) 2020 Packman Team <packman@links2linux.de>
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

Name:           3dsconv
Version:        4.2
Release:        pm152.4.1
Summary:        Convert Nintendo 3DS files to the CIA format
License:        MIT
Group:          Hardware/Other
URL:            https://github.com/ihaveamac/3dsconv
Source:         https://github.com/ihaveamac/3dsconv/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
Requires:       python3-pyaes
BuildArch:      noarch

%description
Python 3 script that converts Nintendo 3DS CTR Cart Image files (CCI, ".cci", ".3ds") to the CTR Importable Archive format (CIA).

3dsconv can detect if a CCI is decrypted, encrypted using original NCCH (slot 0x2C), or encrypted using zerokey. Encryption requires pyaes (pip install pyaes). Original NCCH encryption requires a copy of the protected ARM9 bootROM.

Decrypt9WIP and GodMode9 can dump game cards to CIA directly now, rendering this tool partially obsolete. It can still be used for existing game dumps, however.

%prep
%autosetup
# remove shebang
sed -i '/^#!/d' 3dsconv/3dsconv.py

%build
python3 setup.py build

%install
python3 setup.py install \
--root %{buildroot} --prefix=%{_prefix}

%files
%license LICENSE.md
%doc README.md
%{_bindir}/%{name}
%dir %{python3_sitelib}/%{name}
%dir %{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info/PKG-INFO
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info/SOURCES.txt
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info/dependency_links.txt
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info/entry_points.txt
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info/requires.txt
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info/top_level.txt
%{python3_sitelib}/%{name}/%{name}.py
%{python3_sitelib}/%{name}/__init__.py
%dir %{python3_sitelib}/%{name}/__pycache__
%{python3_sitelib}/%{name}/__pycache__/%{name}.cpython-*.pyc
%{python3_sitelib}/%{name}/__pycache__/__init__.cpython-*.pyc


%changelog
* Mon Apr 20 2020 Luigi Baldoni <aloisio@gmx.com>
- Switch build to python3
- Use source URL
- Spec cleanup
* Fri Jan 12 2018 p.seiler@linuxmail.org
- added runtime dependency python-pyaes
* Wed Jan 10 2018 p.seiler@linuxmail.org
- initial commit
